org.apache.cayenne.access.jdbc

## Class SelectAction

- java.lang.Object
- - org.apache.cayenne.access.jdbc.BaseSQLAction
  - - org.apache.cayenne.access.jdbc.SelectAction

- All Implemented Interfaces:
    SQLAction
  Direct Known Subclasses:
    IngresSelectAction, SQLServerSelectAction

      public class SelectAction
      extends BaseSQLAction

  A SQLAction that handles SelectQuery execution.
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SelectQuery` | `query`

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `adapter, entityResolver`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectAction(SelectQuery query, JdbcAdapter adapter, EntityResolver entityResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SelectTranslator` | `createTranslator(Connection connection)`
    `void` | `performAction(Connection connection, OperationObserver observer)` Executes a query using a strategy defined by the implementation.

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `getAdapter, getEntityResolver, getInMemoryOffset, readResultSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### query

          protected SelectQuery query

  - ### Constructor Detail

    - #### SelectAction

          public SelectAction(SelectQuery query,
                              JdbcAdapter adapter,
                              EntityResolver entityResolver)

  - ### Method Detail

    - #### createTranslator

          protected SelectTranslator createTranslator(Connection connection)

    - #### performAction

          public void performAction(Connection connection,
                                    OperationObserver observer)
                             throws SQLException,
                                    Exception

      Description copied from interface: `SQLAction`
      Executes a query using a strategy defined by the implementation.
      Throws:
        `SQLException`
        `Exception`

Copyright © 2001–2017 Apache Cayenne. All rights reserved.